Subject: [Mgs] Glove box lid

From: Barrie Robinson <[email-masked]> (2603:10b6:b01:ff::17) To CY8PR19MB7154.namprd19.prod.outlook.com (2603:10b6:930:52::9)msVjAWhsd32MmlKaB0IOWBaew1qtX3cc5f76ONcJBUUYMT17/o4PTLP+Wp1r/ady79blC+EzKesm654PunhBSUJjgj52ArkuA/Vxas9CPGHQHAjWHILuNESeXtiRON9hrlnEMbfxumEN2Qe6fBwwb8OwA1iOQy7QNgDvmUh00umpEKeYOmRaAu7bEzVkkW5jhigZk/XsfWuiXJiRCYe7lntV14+Bz/JTQS/oMNMhTAxMZefUE2XFhJkbr90sB1Rs9EoQwuY7RF0M6CiD3d+cdm7AEwGcbfhY8t4sT7EINIdFL1bH8tyF0UIb2ON/YyQhEfwz06dqNVaXd1omH2nzVyTQgvcjO9SR2WZtJJuJ4oWlCbFFUeRT92o+bxU5XmIGm8YEYuePRe2/qaQtlqk1znQyUVyDD+CzF0nZ3BhO9976iQoT+84q6sHPzFwXcsaci7IPUloSCW5XtYjw6PmxA9Kh71
Date: Mon, 8 Apr 2024 13:46:38 -0400

Has anyone got an MGB 1980 glove box lid to spare/sell.   My current one 
does not fit correctly (dash bought at car show) and it is an 
eyesore.    I have ordered a wood dash upgrade from the Little Car 
Company and so I want it to be correct!

My built from scratch MGB GT V8 is back in my garage from my daughter's  
barn so I am doing stuff!

Cheers
Barrie

_______________________________________________

[email-masked]
Donate: http://www.team.net/donate.html
Suggested annual donation  $12.75

Archive: http://www.team.net/pipermail/mgs http://autox.team.net/archive

Unsubscribe: http://autox.team.net/mailman/options/mgs/[email-masked]